var GreebyConsumer = GreebyConsumer || {};

/**
 * @description 应用操作集合 需在plusReady后调用
 **/
GreebyConsumer.API = GreebyConsumer.API || {};

(function($) {
	/**
	 * @description 挂起固定时间 毫秒
	 **/
	$.sleep = function(numberMillis) {
		var now = new Date();
		var exitTime = now.getTime() + numberMillis;
		while (true) {
			now = new Date();
			if (now.getTime() > exitTime)
				return;
		}
	}
})(GreebyConsumer.API);

/**
 * @description 存取方法
 **/
GreebyConsumer.API.Storage = (function($) {
	/**
	 * @description 取值 基础类型
	 **/
	$.getValue = function(key) {
			var val = plus.storage.getItem(key);
			if (val && null != val) return val;
			return null;
		}
		/**
		 * @description 设置值 基础类型
		 **/
	$.setValue = function(key, value) {
			plus.storage.setItem(key, value);
		}
		/**
		 * @description 移除项
		 **/
	$.removeItem = function(key) {
			plus.storage.removeItem(key);
		}
		/**
		 * @description 取值 字面量对象
		 **/
	$.getObj = function(key) {
			var val = $.getValue(key);
			if (null != val) return eval('(' + val + ')')
			return null;
		}
		/**
		 * @description 设置值 字面量对象
		 **/
	$.setObj = function(key, obj) {
		var val = JSON.stringify(obj)
		$.setValue(key, val);
	}
	return $;
})(GreebyConsumer.API.Storage || {});


(function($) {
	/**
	 * @description 位置信息
	 **/
	var geo = new Object();
	/**
	 * @description 取位置信息
	 * @param {Boolean} isNotBaidu 是否不使用百度驱动
	 **/
	geo.getPosInfo = function(isNotBaidu) {
		var info = null;
		plus.geolocation.getCurrentPosition(geoInf, geoInfError, isNotBaidu ? {} : {
			provider: 'baidu'
		});

		//		while (true) {
		//			if (info&&null!=info) {
		//				break;
		//			}
		//			$.sleep(200);
		//		};
		console.log("info:" + info.flag + info.position.addresses);
		return info;

		function geoInf(pos) {
			var str = "";
			str += "地址：" + pos.addresses + "\n"; //获取地址信息
			var timeflag = pos.timestamp; //获取到地理位置信息的时间戳；一个毫秒数；
			str += "时间戳：" + timeflag + "\n";
			var codns = pos.coords; //获取地理坐标信息；
			var lat = codns.latitude; //获取到当前位置的纬度；
			str += "纬度：" + lat + "\n";
			var longt = codns.longitude; //获取到当前位置的经度
			str += "经度：" + longt + "\n";
			var alt = codns.altitude; //获取到当前位置的海拔信息；
			str += "海拔：" + alt + "\n";
			console.log(str);

			info = {
				flag: 1,
				position: pos,
				desc: "success"
			};

		}

		function geoInfError(e) {
			console.log("geolocation error:" + e.message);
			info = {
				flag: 2,
				position: null,
				desc: "获取定位位置信息失败：" + e.message
			};
		}
	}

	$.geolocation = geo;

})(GreebyConsumer.API);

(function($) {
	/**
	 * @description IO 文件操作
	 **/
	var extObj = new Object();
	/**
	 * @description 取所有配置 无配置文件则创建配置文件
	 **/
	extObj.setSetting = function(setting) {
			var flag = -1;
			plus.io.resolveLocalFileSystemURL("_doc/appsetting.json", function(entry) {
				w = null;
				// 可通过entry对象操作文件 
				entry.createWriter(function(writer) {
					w = writer;
					//					writer.seek(0);//从开始处写入 默认
					var data = typeof(setting) != "string" ? JSON.stringify(setting) : setting;
					writer.write(data);
					writer.onwrite = function(e) {
						flag = 1;
					};
					writer.onwriteend = function(e) {
						console.log("write end:");
					}
					writer.error = function(e) {
						flag = 0;
						console.log("write error:" + e.message);
					}
				}, function(e) {
					flag = 0;
					console.log("setSetting error:" + e.message);
				});
			});
			while (true) {
				if (!flag >= 0) {
					break;
				}
				$.sleep(1000);
			};

			return flag == 1;
		}
		/**
		 * @description 取所有配置 无配置文件则创建配置文件
		 **/
	extObj.getSetting = function() {
		var info = null;
		plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
			fs.root.getFile('appsetting.json', {
				create: true
			}, readFile, CallError);
		});

		while (true) {
			if (!info) {
				break;
			}
			$.sleep(1000);
		};

		return info;

		function readFile(fileEntry) {
			fileEntry.file(function(file) {
				if (file.size > 0) {
					var fileReader = new plus.io.FileReader(); //alert("getFile:" + JSON.stringify(file));
					fileReader.readAsText(file, 'utf-8');
					fileReader.onloadend = function(evt) { //					alert("11" + evt);alert("evt.target" + evt.target);
						info = {
							Flag: 1,
							Text: evt.target.result,
							Data: eval('(' + evt.target.result + ')')
						};
					}
				} else {
					info = {
						Flag: 0,
						Text: "",
						Data: null
					};
				}
			});
		}

		function CallError(e) {
			console.log("readFile error:" + e.message);
			info = {
				Flag: -1,
				Text: "",
				Data: null
			};
		}
	}
	$.IO = extObj;
})(GreebyConsumer.API);