/**扩展mui begin**/
(function($) {

	/*
	tap 		单击屏幕
	doubletap 	双击屏幕
	longtap 	长按屏幕
	hold 		按住屏幕
	release 	离开屏幕
	swipeleft 	向左滑动
	swiperight 	向右滑动
	swipeup 	向上滑动
	swipedown 	向下滑动
	dragstart 	开始拖动
	drag 		拖动中
	dragend 	拖动结束
	*/
}(mui))

/**扩展mui end**/
var GreebyConsumer = GreebyConsumer || {};
/**
 * @description 视图操作集合
 **/
GreebyConsumer.webview = GreebyConsumer.webview || {};

/**
 * @description 关闭窗口
 **/
GreebyConsumer.webview.back = GreebyConsumer.webview.old_back || mui.back;

/**
 * @description 关闭窗口前确认
 **/
GreebyConsumer.webview.backWithConfirm = function() {
		var btn = ["确定", "取消"];
		mui.confirm('确认关闭当前窗口？', '乖品网', btn, function(e) {
			if (e.index == 0) {
				//执行mui封装好的窗口关闭逻辑；
				mui.back();
			}
		});
	}
	/**
	 * @description 组织子页面参数设置
	 * @param {String} url 地址栏
	 * @param {String} id viewId
	 * @param {String} top
	 * @param {String} bottom
	 * @param {Object} data 传递参数
	 * @param {Object} options 其它参数设置详
	 * @example getSubpageOptions('list.html', 'pullrefresh_sub', '45px', "0px");	 **/
GreebyConsumer.webview.getSubpageOptions = function(url, id, top, bottom, data, options) {
	var ops = {};
	mui.extend(ops, options, true);
	ops.styles = {
		top: top, //mui标题栏默认高度为45px；
		bottom: bottom //默认为0px，可不定义；
	};
	ops.url = url;
	ops.extras = data || {};
	ops.id = id && id.length > 0 ? id : ("win" + new Date().getTime());

	return ops;
}

/**
 * @description 打开新窗口
 * @param {String} url 地址栏
 * @param {String} id viewId
 * @param {Object} data 传递参数
 * @param {Boolean}} canReapt 是否可创建重复窗口
 * @param {Object} options 其它参数设置详
 * @example GreebyConsumer.UI.openWindow("web/search.html","SearchProd");
 **/
GreebyConsumer.webview.openWindow = function(url, id, data, canReapt, options) {
		var ops = {
			styles: {
				top: 0, //新页面顶部位置
				bottom: 0, //新页面底部位置
				width: "100%", //新页面宽度，默认为100%
				height: "100%" //新页面高度，默认为100%
			},
			extras: {},
			createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true
				aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
				duration: 200 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...', //等待对话框上显示的提示内容
			}
		};

		if (canReapt == true) {
			plus.webview.close(id, "none", 300);
		}

		ops.url = url;
		ops.extras = data || {};
		ops.id = id && id.length > 0 ? id : ("win" + new Date().getTime());
		//ops.createNew = canReapt;
		mui.extend(ops, options, true);

		mui.openWindow(ops);
	}
	/**
	 * @description 是否包含class
	 **/

function hasClass(elements, cName) {
	return !!elements.className.match(new RegExp("(\\s|^)" + cName + "(\\s|$)"));
};
/**
 * @description 添加 class
 **/
function addClass(elements, cName) {
	if (!hasClass(elements, cName)) {
		elements.className += " " + cName;
	};
};
/**
 * @description 移除 class
 **/
function removeClass(elements, cName) {
	if (hasClass(elements, cName)) {
		elements.className = elements.className.replace(new RegExp("(\\s|^)" + cName + "(\\s|$)"), " ");
	};
};
/**
 * @description 取加密结果
 **/
function MD5SN(prodval) {
	var result = md5("asdf@#%#%#%" + prodval);
	return result;
};

function formatfloat(f, size) {
	var tf = f * Math.pow(10, size);
	tf = Math.round(tf + 0.000000001);
	tf = tf / Math.pow(10, size)+ 0.000000001;
	
	var sf = "" + tf;
	//console.log(sf)
 
	return sf.substr(0,sf.indexOf(".")+size+1);
}
	//GreebyConsumer.webview.CloseWindow = function(id) {
	//	mui.plusReady(function() {
	//		var page = plus.webview.getWebviewById(id);
	//		if (page != null && page != undefined) {
	//			plus.webview.close(id, "none", 300);
	//		}
	//	});
	//}