var GreebyConsumer = GreebyConsumer || {};

GreebyConsumer.Setting = (function() {
	var root = "Greeby_Consumer_";
	var $ = {};

	/**
	 * @description 键 购物车数量
	 **/
	$.CartCnt = root + 'cartCnt';
	/**
	 * @description 键 购物车信息
	 **/
	$.CartInfo = root + 'CartInfo';
	/**
	 * @description 键 用户信息
	 **/
	$.UserInfo = root + 'UserInfo';
	/**
	 * @description 键 卖家ID
	 **/
	$.SellerId = root + 'sellerId';

	/**
	 * @description 键 区域ID
	 **/
	$.AreaId = root + "AreaId";
	/**
	 * @description 键 区域信息
	 **/
	$.AreaInfo = root + "AreaInfo";
	/**
	 * @description 键 用户信息
	 **/
	$.AccessToken = root + 'greebytoken';

	$.HomeId = root + "HomeId";
	$.LocalArea = root + "LocalArea";
	return $;
}());

/**
 * @description 本地信息存储
 **/
GreebyConsumer.LocalInfo = GreebyConsumer.LocalInfo || {};

GreebyConsumer.LocalInfo.Version = '1.0.0.0';
GreebyConsumer.LocalInfo.setHomeId = function(homeId) {
	GreebyConsumer.API.Storage.setValue(GreebyConsumer.Setting.HomeId, homeId);
};
GreebyConsumer.LocalInfo.getHomeId = function() {
	var homeId = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.HomeId);
	if (homeId && null != homeId) {
		return homeId;
	}

	return false;
};

GreebyConsumer.LocalInfo.getLocalArea = function() {
	var localArea = GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.LocalArea);
	if (localArea && null != localArea) {
		return localArea;
	}

	return false;
};
/**
 * @description 设置用户登录信息
 **/
GreebyConsumer.LocalInfo.setLocalArea = function(areaInfo) {
	if (areaInfo == false) {
		GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.LocalArea);
	} else {
//		console.log(areaInfo.Names);
		GreebyConsumer.API.Storage.setObj(GreebyConsumer.Setting.LocalArea, areaInfo);
//		var info=GreebyConsumer.LocalInfo.getLocalArea();
//		console.log(info.Names.join("-"));
	}
};

/**
 * @description 清除用户信息
 **/
GreebyConsumer.LocalInfo.clearUserInfo = function() {
	GreebyConsumer.LocalInfo.clearAreaInfo();
	GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.UserInfo);
};

/**
 * @description 清除区域信息
 **/
GreebyConsumer.LocalInfo.clearAreaInfo = function() {
	GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.AccessToken);
	GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.AreaId);
	GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.AreaInfo);
	GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.SellerId);
};
/**
 * @description 设置购物车
 **/
GreebyConsumer.LocalInfo.setCartList = function(cartlist) {
	if (cartlist) {
		var cnt = 0,
			m = cartlist.length;
		for (var i = 0; i < m; i++) {
			cnt += Number(cartlist[i].ProNum);
		}
		GreebyConsumer.API.Storage.setObj(GreebyConsumer.Setting.CartCnt, cnt);
		GreebyConsumer.API.Storage.setObj(GreebyConsumer.Setting.CartInfo, cartlist);
	} else {
		GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.CartCnt);
		GreebyConsumer.API.Storage.removeItem(GreebyConsumer.Setting.CartInfo);
	}
};

/**
 * @description 取购物车数量
 **/
GreebyConsumer.LocalInfo.getCartCnt = function() {
	var cnt = GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.CartCnt);
	if (cnt > 0) {
		return cnt;
	}
	return false;
};

/**
 * @description 取购物车信息
 **/
GreebyConsumer.LocalInfo.getCartList = function() {
	var cnt = GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.CartCnt);
	if (cnt > 0) {
		return GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.CartInfo);
	}

	return false;
};

/**
 * @description 设置用户登录信息
 **/
GreebyConsumer.LocalInfo.setUserInfo = function(token, areaId, sellerId, areaInfo, userInfo) {
	GreebyConsumer.API.Storage.setValue(GreebyConsumer.Setting.AccessToken, token);
	GreebyConsumer.API.Storage.setValue(GreebyConsumer.Setting.AreaId, String(areaId));
	GreebyConsumer.API.Storage.setValue(GreebyConsumer.Setting.SellerId, String(sellerId));
	GreebyConsumer.API.Storage.setValue(GreebyConsumer.Setting.AreaInfo, areaInfo);

	if (userInfo) {
		GreebyConsumer.API.Storage.setObj(GreebyConsumer.Setting.UserInfo, userInfo);
	}
};

/**
 * @description 是否已设置区域信息
 **/
GreebyConsumer.LocalInfo.isSetAreaInfo = function() {
	var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
	if (token && null != token) {
		return true;
	}

	return false;
};
/**
 * @description 取卖家Id
 **/
GreebyConsumer.LocalInfo.getSellerId = function() {
	//console.log(GreebyConsumer.Setting.SellerId);
	var sellerId = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.SellerId);
	if (sellerId && null != sellerId) {
		return sellerId;
	}

	return false;
};

/**
 * @description 是否已登录
 **/
GreebyConsumer.LocalInfo.isLogin = function() {
		var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
		if (token && null != token) {
			var userinfo = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.UserInfo);
			//			console.log('userinfo:'+userinfo)
			if (userinfo && null != userinfo) {
				return true;
			}
		}

		return false;
	}
	/**
	 * @description 获取token
	 **/
GreebyConsumer.LocalInfo.getToken = function() {
	var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
	if (token && null != token) return token;
	else return false;
};
/**
 * @description 获取token
 **/
GreebyConsumer.LocalInfo.getUserInfo = function() {
	var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
	if (token && null != token) {
		var userinfo = GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.UserInfo);
		//			console.log('userinfo:'+userinfo)
		if (userinfo && null != userinfo) return userinfo;
	}

	return false;
};
/**
 * @description 获取用户地区信息
 **/
GreebyConsumer.LocalInfo.getAreaId = function() {
	var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
	if (token && null != token) {
		var areaId = GreebyConsumer.API.Storage.getObj(GreebyConsumer.Setting.AreaId);
		//			console.log('userinfo:'+userinfo)
		if (areaId && areaId > 0) return areaId;
	}

	return false;
};
/**
 * @description 获取用户地区信息
 **/
GreebyConsumer.LocalInfo.getAreaInfo = function() {
	var token = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AccessToken);
	if (token && null != token) {
		var areaInfo = GreebyConsumer.API.Storage.getValue(GreebyConsumer.Setting.AreaInfo);
		//			console.log('userinfo:'+userinfo)
		if (areaInfo && areaInfo.length > 0) return areaInfo;
	}

	return false;
};