/**
 * @description cookie操作
 **/
Cookies = (function(doc, undefined) {
	var $ = new Object();

	/**
	 * @description 获取cookie
	 * @param {String} name
	 **/
	$.getCookie = function(name) {
		var cookieArray = doc.cookie.split("; "); //得到分割的cookie名值对   

		for (var i = 0; i < cookieArray.length; i++) {
			var arr = cookieArray[i].split("="); //将名和值分开    
			if (arr[0] == name) return unescape(arr[1]); //如果是指定的cookie，则返回它的值    
		}

		return "";
	}

	/**
	 * @description 删除cookie
	 * @param {String} name
	 **/
	$.delCookie = function(name) {
		var exp = new Date();
		exp.setTime(exp.getTime() - 1);
		var cval = $.getCookie(name);
		if (cval != null)
			doc.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
	}

	/**
	 * @description 设置cookie
	 * @param {String} name
	 * @param {String} value
	 * @param {String} domain
	 **/
	$.setCookie = function(name, value,domain) { //获取指定名称的cookie的值
		var Days = 60; //此 cookie 将被保存 60 天
		var exp = new Date(); //new Date("December 31, 9998");
		exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000);
		doc.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString()
		+";path=/;domain="+domain; 
	}
	
	return $;
})(document);